﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{3BC5BCCA-28A9-4108-A791-BF6A2FB7935F}</ProjectGuid>
    <OutputType>Exe</OutputType>
    <RootNamespace>Coscine.SPPageDeployer</RootNamespace>
    <AssemblyName>Coscine.SPPageDeployer</AssemblyName>
    <TargetFrameworkVersion>v4.6.1</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <AutoGenerateBindingRedirects>true</AutoGenerateBindingRedirects>
    <Deterministic>true</Deterministic>
    <NuGetPackageImportStamp>
    </NuGetPackageImportStamp>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <PlatformTarget>x64</PlatformTarget>
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <PlatformTarget>x64</PlatformTarget>
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="System" />
    <Reference Include="System.ComponentModel.DataAnnotations" />
    <Reference Include="System.Core" />
    <Reference Include="System.Net.Http.WebRequest" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Program.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
  </ItemGroup>
  <ItemGroup>
    <None Include="App.config" />
  </ItemGroup>
  <ItemGroup>
    <PackageReference Include="Consul">
      <Version>0.7.2.6</Version>
    </PackageReference>
    <PackageReference Include="Coscine.Action">
      <Version>1.17.1</Version>
    </PackageReference>
    <PackageReference Include="Coscine.Configuration">
      <Version>1.5.0</Version>
    </PackageReference>
    <PackageReference Include="Coscine.Database">
      <Version>1.27.0</Version>
    </PackageReference>
    <PackageReference Include="Coscine.ProxyApi">
      <Version>1.3.0</Version>
    </PackageReference>
    <PackageReference Include="EntityFramework">
      <Version>6.4.4</Version>
    </PackageReference>
    <PackageReference Include="linq2db">
      <Version>3.1.1</Version>
    </PackageReference>
    <PackageReference Include="linq2db.SqlServer">
      <Version>2.6.4</Version>
    </PackageReference>
    <PackageReference Include="linq2db.t4models">
      <Version>2.6.4</Version>
    </PackageReference>
    <PackageReference Include="LinqKit">
      <Version>1.1.17</Version>
    </PackageReference>
    <PackageReference Include="Microsoft.Data.Edm">
      <Version>5.6.4</Version>
    </PackageReference>
    <PackageReference Include="Microsoft.Data.OData">
      <Version>5.6.4</Version>
    </PackageReference>
    <PackageReference Include="Microsoft.IdentityModel">
      <Version>7.0.0</Version>
    </PackageReference>
    <PackageReference Include="Microsoft.IdentityModel.JsonWebTokens">
      <Version>5.6.0</Version>
    </PackageReference>
    <PackageReference Include="Microsoft.IdentityModel.Logging">
      <Version>5.6.0</Version>
    </PackageReference>
    <PackageReference Include="Microsoft.IdentityModel.Tokens">
      <Version>5.6.0</Version>
    </PackageReference>
    <PackageReference Include="NDesk.Options">
      <Version>0.2.1</Version>
    </PackageReference>
    <PackageReference Include="Newtonsoft.Json">
      <Version>12.0.3</Version>
    </PackageReference>
    <PackageReference Include="System.IdentityModel.Tokens.Jwt">
      <Version>5.6.0</Version>
    </PackageReference>
    <PackageReference Include="System.Spatial">
      <Version>5.6.4</Version>
    </PackageReference>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
</Project>